org.eclipse.gef4.zest.core.widgets

## Interface FisheyeListener

    public interface FisheyeListener

Interface for listener that can be added to `GraphWidget` and receive notifications when fisheye figures are added, removed or replaced in it.

Since:
  2.0

### Method Summary

Methods
`void` `fisheyeAdded(GraphWidget graph, org.eclipse.draw2d.IFigure originalFigure, org.eclipse.draw2d.IFigure fisheyeFigure)` Called when a fisheye figure is added to an observed graph.
`void` `fisheyeRemoved(GraphWidget graph, org.eclipse.draw2d.IFigure originalFigure, org.eclipse.draw2d.IFigure fisheyeFigure)` Called when a fisheye figure is removed form an observed graph.
`void` `fisheyeReplaced(GraphWidget graph, org.eclipse.draw2d.IFigure oldFisheyeFigure, org.eclipse.draw2d.IFigure newFisheyeFigure)` Called when one fisheye figure is replaced by another in an observed graph.

### Method Detail

#### fisheyeAdded

    void fisheyeAdded(GraphWidget graph,
                    org.eclipse.draw2d.IFigure originalFigure,
                    org.eclipse.draw2d.IFigure fisheyeFigure)

Called when a fisheye figure is added to an observed graph.

Parameters:
  `graph` - observed graph
  `originalFigure` - figure to be fisheyed
  `fisheyeFigure` - the added fisheye figure

#### fisheyeRemoved

    void fisheyeRemoved(GraphWidget graph,
                      org.eclipse.draw2d.IFigure originalFigure,
                      org.eclipse.draw2d.IFigure fisheyeFigure)

Called when a fisheye figure is removed form an observed graph.

Parameters:
  `graph` - observed graph
  `originalFigure` - figure that was fisheyed
  `fisheyeFigure` - the removed fisheye figure

#### fisheyeReplaced

    void fisheyeReplaced(GraphWidget graph,
                       org.eclipse.draw2d.IFigure oldFisheyeFigure,
                       org.eclipse.draw2d.IFigure newFisheyeFigure)

Called when one fisheye figure is replaced by another in an observed graph.

Parameters:
  `graph` - observed graph
  `oldFisheyeFigure` - fisheye figure that is replaced
  `newFisheyeFigure` - fisheye figure that replaces the old figure